# Method: users.list

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/users/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v4/users/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/users/list#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/users/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v4/users/list#body.ListUsersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/users/list#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/users/list#try-it)

Lists users that are accessible to the current user. If two users have user roles on the same partner or advertiser, they can access each other.

This method has unique authentication requirements. Read the prerequisites in our [Managing Users guide](https://developers.google.com/display-video/api/guides/users/overview#prerequisites) before using this method.

The "Try this method" feature does not work for this method.

### HTTP request

`GET https://displayvideo.googleapis.com/v4/users`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. Must be between `1` and `200`. If unspecified will default to `100`. |
| `pageToken` | `string` A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v4/users/list#body.ListUsersResponse.FIELDS.next_page_token` returned from the previous call to `users.list` method. If not specified, the first page of results will be returned. |
| `orderBy` | `string` Field by which to sort the list. Acceptable values are: - `displayName` (default) The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. For example, `displayName desc`. |
| `filter` | `string` Allows filtering by user fields. Supported syntax: - Filter expressions are made up of one or more restrictions. - Restrictions can be combined by the logical operator `AND`. - A restriction has the form of `{field} {operator} {value}`. - The `displayName` and `email` fields must use the `HAS (:)` operator. - The `lastLoginTime` field must use either the `LESS THAN OR EQUAL TO (<=)` or `GREATER THAN OR EQUAL TO (>=)` operator. - All other fields must use the `EQUALS (=)` operator. Supported fields: - `assignedUserRole.advertiserId` - `assignedUserRole.entityType`: This is synthetic field of `AssignedUserRole` used for filtering. Identifies the type of entity to which the user role is assigned. Valid values are `Partner` and `Advertiser`. - `assignedUserRole.parentPartnerId`: This is a synthetic field of `AssignedUserRole` used for filtering. Identifies the parent partner of the entity to which the user role is assigned. - `assignedUserRole.partnerId` - `assignedUserRole.userRole` - `displayName` - `email` - `lastLoginTime` (input in ISO 8601 format, or `YYYY-MM-DDTHH:MM:SSZ`) Examples: - The user with `displayName` containing "foo": `displayName:"foo"` - The user with `email` containing "bar": `email:"bar"` - All users with standard user roles: `assignedUserRole.userRole="STANDARD"` - All users with user roles for partner 123: `assignedUserRole.partnerId="123"` - All users with user roles for advertiser 123: `assignedUserRole.advertiserId="123"` - All users with partner level user roles: `entityType="PARTNER"` - All users with user roles for partner 123 and advertisers under partner 123: `parentPartnerId="123"` - All users that last logged in on or after 2023-01-01T00:00:00Z (format of ISO 8601): `lastLoginTime>="2023-01-01T00:00:00Z"` The length of this field should be no more than 500 characters. Reference our [filter `LIST` requests](https://developers.google.com/display-video/api/guides/how-tos/filters) guide for more information. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "users": [ { object (`https://developers.google.com/display-video/api/reference/rest/v4/users#User`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `users[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v4/users#User`)`` The list of users. This list will be absent if empty. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/display-video/api/reference/rest/v4/users/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `users.list` method to retrieve the next page of results. This token will be absent if there are no more results to return. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video-user-management`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).